Subject: message/rfc822 with quoted-printable

From: Tibor Szep <[email-masked]>
Date: Mon, 16 Nov 1998 16:59:07 +0100 (Central Europe Standard Time)

Hello all,

While I was testing the archive feature of SmartList I found some
strange operation of PC-Pine 4.05 on a WNT 4.0 SP3 Workstation. (Sorry,
if the problem below is a well-known one...)

Because we use national (8bit) characters in the body (and sometimes the
header) of messages, the archive server encode these messages before
sending either using the base64 or the quoted-printable algorithm. The
content type is set to "message/rfc822".

If I try to open such an archive message in Pine:

- the message contains only an attachment.
- after opening the attachment, I cannot see the message body: I get a
  "Can't display missing text segment" message instead.
- I haven't got an export command - all I can do is to save the
  attachment into a message folder. If the message was encoded with
  base64, the saved message is unusable (there are no headers).

Comments:

- If I retrieve plain ASCII messages (there is no encoding necessary),
  PC-Pine works as expected.
- If I modify the SmartList algorithm to send messages with 8bit
  encoding, PC-Pine still works as expected.
- Pine 3.95 (on a RedHat 4.2) also fails to display the message, but it
  can export it. The exported file is correctly decoded.
- Netscape Messenger also has troubles with encoded messages...
- MS Outlook Express handles encoded letters correctly: the encoded
  letter appears as an attachment; it opens in a new message window
  with correct decoding.

Thanks for your patience,

Tibor

P.S. More details about the problem:

I issue a get command for an older message. In the reply message I can
see the following header items:

-----------------------------------------------------------------------
Content-Disposition: inline; filename="volume1998/11"
Content-Type: message/rfc822;
        directory="volume1998"; name="11"
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
-----------------------------------------------------------------------

Message body is not shown, instead I see:

-----------------------------------------------------------------------
    [ Part 1, Message/RFC822  1.1KB. ]
    [ Not Shown. Use the "V" command to view or save this part. ]
-----------------------------------------------------------------------

I press V and get the attachment index:

-----------------------------------------------------------------------
   1   ~1.1 KB      Message/RFC822, "list Digest V98 #11"
-----------------------------------------------------------------------

If I press ENTER I get the following screen:

-----------------------------------------------------------------------
From: [email-masked]
Subject: list Digest V98 #11
X-Loop: [email-masked]
X-Mailing-List: <[email-masked]> archive/volume98/11
Precedence: list
MIME-Version: 1.0
Content-Type: text/plain; charset=3D"iso-8859-1"
To: [email-masked]

[Can't display missing text segment]
-----------------------------------------------------------------------